﻿@using dtos.api;
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

<h1>Streams</h1>
<form asp-action="New" asp-controller="Stream" method="post">
    <button type="submit" class="btn btn-outline-primary">New</button>
</form>


<table class="table">
    <tr>
        <th>Titre</th>
        <th>Creation Date</th>
        <th>Start Date</th>
        <th>End Date</th>
        <th>Statut</th>
    </tr>
    <tbody>
        @foreach (var stream in Model)
        {
                    <tr>
                        <td>@stream.Stream.Title</td>
                        <td>@stream.Stream.CreationDate</td>
                        <td>@stream.Stream.Start</td>
                        <td>@stream.Stream.End</td>
                        <td>@stream.Status</td>
                        <td>
                                <div class="btn-group" role="group" aria-label="Basic example">
                                    <form asp-action="Edit" asp-controller="Stream" method="get">
                                        <input type="hidden" name="Id" value=@stream.Stream.Id />       
                                        <button type="submit" class="btn btn-primary">Edit</button>
                                    </form>
                                    @if (stream.Status == StreamStatusType.Ended || stream.Status == StreamStatusType.Upcoming)
                                    {
                                        <form asp-action="Start" asp-controller="Stream" method="get">
                                            <input type="hidden" name="Id" value=@stream.Stream.Id />       
                                            <button type="submit" class="btn btn-success">Start</button>
                                        </form>
                                    }
                                    @if (stream.Status == StreamStatusType.InProgress)
                                    {
                                        <form asp-action="Stop" asp-controller="Stream" method="get">
                                            <input type="hidden" name="Id" value=@stream.Stream.Id />       
                                            <button type="submit" class="btn btn-warning">Stop</button>
                                        </form>
                                    }
                                    <form asp-action="Delete" asp-controller="Stream" method="get">
                                        <input type="hidden" name="Id" value=@stream.Stream.Id />       
                                        <button type="submit" class="btn btn-danger">Delete</button>
                                    </form>
                                </div>
                        </td>
                    </tr>    
        }
    </tbody>
</table>